classification
Title: patches for Modules/socketmodule.c for NetBSD
Type: compile error Stage: resolved
Components: Build Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: aniou, eric.araujo, giampaolo.rodola, gregory.p.smith, wiz, yesmar
Priority: normal Keywords: patch

Created on 2009-03-18 18:21 by yesmar, last changed 2010-10-17 00:44 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
Python-2.6.1.patch yesmar, 2009-03-18 18:21
netbsd.patch wiz, 2009-10-30 21:34
netbsd-wizs-mod.patch aniou, 2010-08-02 17:13
Messages (6)
msg83767 - (view) Author: Ramsey Dow (yesmar) Date: 2009-03-18 18:21
I couldn't install setuptools (required by gitosis) because Python 2.6.1
didn't install socket when I built it. A little digging and I
uncommented the "_socket socketmodule.c" line in Modules/Setup.
Unfortunately, the Bluetooth socket stuff in Modules/socketmodule.c was
broken under NetBSD. I made this patch and tested on NetBSD 4.0.1.

When researching this bug on bugs.python.org, I noticed issue5400 which,
in order to get Modules/socketmodule.c compiling, disabled Bluetooth
socket support entirely. That isn't necessary. I just had to ensure the
various structure references made use of the proper member names
(according to NetBSD's /usr/include/netbt/bluetooth.h header file). The
changes I made were similar, though not precisely the same, as those for
FreeBSD.

After patching and building:

ramsey@wizard /opt/build/runtime/Python-2.6.1$ ./python -bb -E
Lib/test/regrtest.py test_socket
test_socket
1 test OK.
msg94729 - (view) Author: Thomas Klausner (wiz) Date: 2009-10-30 21:34
Attached is the patch fixing this problem from pkgsrc; it was written by
Iain Hibbert <plunky@NetBSD.org> who also maintains BlueTooth in NetBSD,
so I'm very confident it's "right" :)

Please include it!
msg112235 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-01 00:27
Does the bug still exist in 3.2 (branch named py3k in subversion)? Do the patch still apply? (The workflow is to patch the version in development and then backport fixes to stable branches.)

Adding Giampaolo to nosy since he’s listed as interested in networking in Misc/maintainers.rst
msg112422 - (view) Author: Ramsey Dow (yesmar) Date: 2010-08-02 05:00
I don't know. I switched to Linux from NetBSD and I don't use Python  
for anything anymore.

On Jul 31, 2010, at 5:27 PM, Éric Araujo wrote:

>
> Éric Araujo <merwok@netwok.org> added the comment:
>
> Does the bug still exist in 3.2 (branch named py3k in subversion)?  
> Do the patch still apply? (The workflow is to patch the version in  
> development and then backport fixes to stable branches.)
>
> Adding Giampaolo to nosy since he’s listed as interested in  
> networking in Misc/maintainers.rst
>
> ----------
> nosy: +giampaolo.rodola, merwok
> versions: +Python 3.2 -Python 2.6
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue5510>
> _______________________________________

~/Ramsey
--
"Civilized men are more discourteous than savages because they know  
they can be impolite without having their skulls split, as a general  
thing."
-- Robert E. Howard, "Tower of the Elephant"
msg112500 - (view) Author: Piotr Meyer (aniou) Date: 2010-08-02 17:13
On Sun, Aug 01, 2010 at 12:27:50AM +0000, Éric Araujo wrote:
> 
> Éric Araujo <merwok@netwok.org> added the comment:
> 
> Does the bug still exist in 3.2 (branch named py3k in subversion)? Do
> the patch still apply? (The workflow is to patch the version in
> development and then backport fixes to stable branches.)

As far I see - yes, py3k still needs patch provided by wiz, even on 
NetBSD 5.1 (current RC stable). Oryginal diff doesn't apply, I made 
some amateur changes and "my" version of wiz's patch is in attachment. 

But we have another problem, use sem_timedwait in Python/thread_pthread.h 
- not directly connected with this case, but prevent py3k from build.  
I copy some lines from Modules/_multiprocessing/semaphore.c, but this is 
very ugly workaround and someone should look at this...
msg118910 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2010-10-17 00:44
netbsd-wizs-mod.patch applied in 85587.
History
Date User Action Args
2010-10-17 00:44:09gregory.p.smithsetstatus: open -> closed

assignee: gregory.p.smith

nosy: + gregory.p.smith
messages: + msg118910
resolution: accepted
stage: resolved
2010-08-02 17:13:43aniousetfiles: + netbsd-wizs-mod.patch

messages: + msg112500
2010-08-02 05:00:26yesmarsetmessages: + msg112422
2010-08-01 00:27:48eric.araujosetnosy: + eric.araujo, giampaolo.rodola

messages: + msg112235
versions: + Python 3.2, - Python 2.6
2009-10-30 21:34:25wizsetfiles: + netbsd.patch
nosy: + wiz
messages: + msg94729

2009-03-31 19:44:47aniousetnosy: + aniou
2009-03-18 18:21:30yesmarcreate